﻿using System;
using System.Collections.ObjectModel;
using System.Threading.Tasks;
using Syncfusion.SfChart.XForms;
using Xamarin.Forms;

namespace PearTesting
{
	public class MarkerTrackBall : ContentPage
	{
		ViewModel vm;
		public MarkerTrackBall()
		{
			StackLayout layout = new StackLayout();
			vm = new ViewModel();

			SfChart chart = new SfChart();
			chart.VerticalOptions = LayoutOptions.FillAndExpand;
			chart.HorizontalOptions = LayoutOptions.FillAndExpand;

			DateTimeAxis axis = new DateTimeAxis();
			chart.PrimaryAxis = axis;

			NumericalAxis axis2 = new NumericalAxis();
			chart.SecondaryAxis = axis2;

			RangeColumnSeries series = new RangeColumnSeries();
			series.ItemsSource = vm.DateTimePoints3;
			series.EnableTooltip = true;
			series.XBindingPath = "DateXValue";
			series.High = "YValue";
			series.Low = "Size";
			chart.Series.Add(series);


			LineSeries series1 = new LineSeries();
			series1.ItemsSource = vm.DateTimePoints;
			series1.EnableTooltip = true;
			series1.XBindingPath = "DateXValue";
			series1.YBindingPath = "YValue";
			chart.Series.Add(series1);

			DataTemplate template = new DataTemplate(() =>
			{
				StackLayout stk = new StackLayout();

				stk.Orientation = StackOrientation.Vertical;
				Label XValue = new Label();

				Label YValue = new Label();
			
				XValue.SetBinding(Label.TextProperty, "DateXValue");
				YValue.SetBinding(Label.TextProperty, "YValue");

				stk.Children.Add(XValue);
				stk.Children.Add(YValue);
			
				return stk;
			});

			series.TooltipTemplate = template;
			series1.TooltipTemplate = template;
			series.DataMarker = new ChartDataMarker();

			layout.Children.Add(chart);

			this.Content = layout;

		}

	}
}


